@charset "UTF-8";

.ff-mintyo {
    font-family: "Zen Old Mincho", serif;
    font-weight: 900;
    font-style: normal;
}

p {
    line-height: 1.6;
}

.w-85 {
    width: 85%;
}

.hr-left,
.hr-right {
    position: relative;
    height: 1px;
    color: #fff;
}

/* 疑似要素：スケールで横方向に伸ばす */
.hr-left::after,
.hr-right::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    /* 右開始の場合は後で上書き */
    width: 100%;
    height: 1px;
    /* 線の太さ */
    background: #fff;
    transform: scaleX(0);
    transition: transform 0.6s ease;
}

/* 左から伸びる（原点は左） */
.hr-left::after {
    transform-origin: left center;
}

/* 右から伸びる（原点は右） */
.hr-right::after {
    left: auto;
    right: 0;
    transform-origin: right center;
}

/* 発火時にフルスケールへ */
.animate-left::after,
.animate-right::after {
    transform: scaleX(1);
}


/*MV section*/
.img-mv {
    height: 100%;
    width: auto;
    right: -6%;
}

.banner-section::before {
    content: none;
    background-color: rgba(0, 0, 0, 0);

}

#img_mv-elecomlogo {
    max-width: 35%;
}

#img_mv-saikidou02 {
    max-width: 80%;
    padding: 4vh 0;
}

.mv-container {
    height: 100vh;
    display: flex;
}

#img_mv-saikidou {
    max-height: 75vh;
}


@media screen and (max-width:767px) {
    #img_mv-saikidou {
        max-height: 30vh;
    }

    #img_mv-elecomlogo {
        max-width: 50%;
    }

    #img_mv-elecomlogo {
        margin: 0 auto;
    }

    .mv-logo-wrap {
        text-align: center;
    }

    .banner-section.min-vh-100 {
        min-height: initial !important;
    }

    .img-mv {
        height: auto;
        width: 100%;
        right: 0;
    }

}

@media screen and (max-width:576px) {
    #img_mv-saikidou {
        padding: 70px 0 30px;
        max-height: 45vh;
    }

    .mv-container {
        height: inherit;
        padding: 0 35px 70px;
    }


    .text-center.text-xs-left {
        text-align: left !important;
    }

    .text-pc-left {
        text-align: center;
    }


}

/*header*/
.header.fixed-header {
    background-color: #000;
}

.navbar-brand:hover,
.navbar-brand:focus {
    color: #fff;
}

.nav-link:hover,
.nav-link:focus {
    color: #ccc;
}

#header-spacer {
    height: 0;
}

.header {
    padding: 0;
}

.header.fixed-header {
    padding: 0;
}

/* 疑似要素でborder-topを作成 */
header::before,
header::after {
    content: '';
    position: absolute;
    height: 0;
    width: 85%;
    border-top: 1px solid #fff;
    /* 色や太さはお好みで */
    transform: scaleX(0);
    /* 最初は見えない */
    transition: transform 0.7s cubic-bezier(.77, 0, .18, 1);
    pointer-events: none;
}

header::before {
    left: 0;
    top: 0;
    transform-origin: left;
}

header::after {
    right: 0;
    bottom: 0;
    transform-origin: right;
}

/* アニメーション実行クラス */
header.animate-border::before,
header.animate-border::after {
    transform: scaleX(1);
    /* 全体に伸びる */
}

/*sec01*/
@media (min-width: 1200px) {
    .mw-1140 {
        max-width: 1140px;
    }
}


.absolute-center {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
}

.keihuzu-wrap {
    margin: 0 auto;
    position: relative;
    padding: 90px;
}


.keihuzu-wrap::before,
.keihuzu-wrap::after {
    content: '';
    width: 33%;
    height: 33%;
    position: absolute;
}

.keihuzu-wrap::before {
    border-left: solid 1px #fff;
    border-top: solid 1px #fff;
    top: 0;
    left: 0;
}

.keihuzu-wrap::after {
    border-right: solid 1px #fff;
    border-bottom: solid 1px #fff;
    bottom: 0;
    right: 0;
}


.ti-01 {
    text-indent: -1em;
    padding-left: 1em;
}

#img_sec01_img04 {
    margin-top: -8%;
}

.keihuzu-div03 {
    position: absolute;
    width: calc(100% + var(--bs-gutter-x) - 180px);
    bottom: 15%;
}

#img_sec01-img03 {
    max-width: 65%;
}

.keihuzu-wrap-sp {
    display: none;
}

@media screen and (max-width:1500px) {
    #img_sec01-img03 {
        max-width: 55%;
    }
}

@media screen and (max-width:1400px) {
    .keihuzu-wrap {
        padding: 45px;
    }

    .keihuzu-div03 {
        width: calc(100% + var(--bs-gutter-x) - 90px);
        bottom: 18%;
    }

    #img_sec01-img03 {
        max-width: 50%;
    }
}

@media screen and (max-width:1024px) {
    .keihuzu-wrap {
        padding: 30px;
    }

    .keihuzu-div03 {
        width: calc(100% + var(--bs-gutter-x) - 60px);
        bottom: 18%;
    }

    #img_sec01-img03 {
        max-width: 50%;
    }
}

@media screen and (max-width:992px) {
    .keihuzu-div03 {
        bottom: 10%;
    }
}

@media screen and (max-width:576px) {
    .keihuzu-wrap-sp {
        display: block;
    }

    #img_sec01-img03 {
        max-width: 100%;
    }

    #comment_sec01-img03.absolute-center {
        position: initial;
        top: 0;
        left: 0;
        transform: none;
        -webkit-transform: none;
        -ms-transform: none;
        padding: 0;
    }

    .keihuzu-wrap {
        display: none;
    }
}

/*sec03*/
#img_sec03-img02 {
    max-width: 50%;
}

#sec03_bg {
    background-image: url('../images/sec03_bg.png');
    background-size: 68vw;
    background-position: left top;
    background-repeat: no-repeat;

}

.resources-img::before {
    padding-top: 100%;
}

#img_sec03-img01 {
    max-width: 65%;
}

@media screen and (max-width:992px) {
    #img_sec03-img01 {
        max-width: 80%;
    }

    #img_sec03-img02 {
        max-width: 65%;
    }

    #sec03_bg {
        background-image: url(../images/sec03_bg-sp.png);
        background-size: contain;
        background-position: left top;
        background-repeat: no-repeat;
    }

    #sec03_spec {
        padding-top: 70%;
    }
}

@media screen and (max-width:576px) {
    #img_sec03-img01 {
        max-width: 90%;
    }

    .mouse-wrap {
        text-align: center;
    }

    #btn_yoyaku.w-50 {
        width: 100% !important;
    }
}

/*footer*/
#footer_elecomlogo {
    max-width: 15%;
}

@media screen and (max-width:576px) {
    #footer_elecomlogo {
        max-width: 50%;
    }
}




/*スマホ用系譜図*/
.svg-map {
    max-width: 500px;
    margin: 40px auto;
    display: block;
    width: 100%;
    height: auto;
    position: relative;
}

.sonar-btn {
    cursor: pointer;
    outline: none;
    transition: opacity 0.2s;
    position: absolute;
    transform: translate(-50%, -50%);
    background: none;
    border: none;
    z-index: 1;
}

/* ソナーアニメーション */
.sonar-wave {
    position: absolute;
    left: 50%;
    top: 50%;
    pointer-events: none;
    width: 60px;
    height: 60px;
    transform: translate(-50%, -50%);
    border-radius: 50%;
    background: rgba(0, 150, 250, 0.5);
    animation: sonar 1.6s linear infinite;
    z-index: 0;
}

@keyframes sonar {
    0% {
        transform: translate(-50%, -50%) scale(0.6);
        opacity: 0.7;
    }

    70% {
        transform: translate(-50%, -50%) scale(1.7);
        opacity: 0.1;
    }

    100% {
        transform: translate(-50%, -50%) scale(2);
        opacity: 0;
    }
}

/* ボタンサークル本体 */
.sonar-circle {
    width: 24px;
    height: 24px;
    background: #006fb6;
    border-radius: 50%;
    border: 1.5px solid #fff;
    position: relative;
    z-index: 2;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.18);
    display: flex;
    align-items: center;
    justify-content: center;
}

.sonar-btn:active .sonar-circle,
.sonar-btn:focus .sonar-circle {
    background: #006fb6;
}

/* ----- モーダル --------- */


.modal-close {
    position: absolute;
    top: 6px;
    right: 8px;
    background: none;
    border: none;
    font-size: 18px;
    color: #444;
    cursor: pointer;
    z-index: 9999;
}

.modal-bg {
    position: relative;
    display: none;
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, 0.48);
    z-index: 200;

    /* 透過からフェードインout用 */
    opacity: 0;
    transition: opacity 0.35s;
    pointer-events: none;

}

.modal-bg.active {
    /* 表示時フェードイン */
    display: block;
    opacity: 1;
    pointer-events: auto;
}

#modal-message {
    text-align: left;
    line-height: 2;
}

.modal-box {

    background: #fff;
    color: #000;
    padding: 24px 32px;
    border-radius: 10px;
    min-width: 260px;
    width: 90vw;
    /*margin: 180px auto 0;*/
    position: relative;
    z-index: 500;
    text-align: center;
    box-shadow: 0 6px 18px rgba(0, 0, 0, 0.29);
    opacity: 0;
    transform: scale(0.92);
    transition: opacity 0.32s cubic-bezier(.19, 1, .22, 1), transform 0.35s cubic-bezier(.19, 1, .22, 1);
    pointer-events: none;
}

.modal-bg.active .modal-box {
    opacity: 1;
    transform: scale(1);
    pointer-events: auto;
}

/*202603追加*/
.menu-new {
    color: #006fb6;
    font-size: 80%;
    font-weight: 700;
    margin-left: 0.4em;
}

@keyframes blinking {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

/* 点滅アニメーションを適用 */
.blink {
    animation: blinking 0.8s ease-in-out infinite alternate;
}

@media screen and (max-width:960px) {
    .btn.btn-products .btn-text {
        font-size: 14px;
    }
}

@media screen and (max-width:576px) {
    .btn.btn-products .btn-text {
        font-size: 12px;
    }
}

/*製品ページ追加style*/
.bg-dark {
    background-color: #000;
    color: #fff;
}

.bg-dark .bg-white {
    background-color: #fff !important;
}

.bg-dark .text-white {
    color: #fff !important;
}

.bg-dark h6,
.bg-dark .h6,
.bg-dark h5,
.bg-dark .h5,
.bg-dark h4,
.bg-dark .h4,
.bg-dark h3,
.bg-dark .h3,
.bg-dark h2,
.bg-dark .h2,
.bg-dark h1,
.bg-dark .h1 {
    margin-top: 0;
    margin-bottom: 0.5rem;
    font-weight: 700;
    line-height: 1.2;
    color: #006fb6;
}

.bg-dark .text-dark {
    color: #000 !important;
}

.bg-dark h2,
.bg-dark .h2 {
    font-size: calc(1.425rem + 2.1vw);
}


.bg-dark .btn {
    position: relative;
    display: inline-flex;
    align-items: center;
    gap: 1rem;
    background-color: #006fb6;
    border-radius: 9999px;
    padding: 0.5rem 1.5rem;
    overflow: hidden;
    text-decoration: none;
    transition: background-color 0.2s ease-in-out;
    width: fit-content;
    padding: 16px 58px 16px 30px;
}

.bg-dark .btn-check:checked+.btn,
:not(.btn-check)+.bg-dark .btn:active,
.bg-dark .btn:first-child:active,
.bg-dark .btn.active,
.bg-dark .btn.show {
    background-color: #1f2a2e !important;
    border-color: #1f2a2e !important;
    box-shadow: unset !important;
}

.bg-dark .btn .btn-icon {
    position: absolute;
    left: 100%;
    top: 50%;
    transform: translate(-115%, -50%);
    z-index: 0;
    transition: transform 0.4s ease, left 0.4s ease;
}

.bg-dark .btn.btn_selected {
    background-color: #1F2A2E;
    color: #fff;
    padding: 16px 30px;
}

.btn.btn_selected:hover .btn-text {
    transform: none;
}

.round-52 {
    width: 52px !important;
    height: 52px;
}

.rounded-circle {
    border-radius: 50% !important;
}

.bg-dark .btn:hover .btn-icon {
    left: 0;
    transform: translate(15%, -50%) rotate(45deg);
}

.bg-dark .btn:hover {
    background-color: #1f2a2e;
}

.bg-dark .head-h3 {
    font-size: 2.3rem !important;
    font-weight: 700;
    margin-bottom: 1em !important;
}

.meet-team-details p {
    font-size: 130%;
    margin-bottom: 10px;
    text-align: center;
}

#lineup-wrap {
    padding-bottom: 100px;
}

.bg-dark .m-col2>.c-column-block-item {
    padding-bottom: 60px;
}

.c-products-parts-box#products-weap_02 {
    margin-top: -80px;
}

.img-fluid#logo_ele-mapp {
    max-width: 680px;
    width: 100%;
}

.bg-dark .c-button-white:hover{
background-color:#1f2a2e ;
}
@media (min-width: 1700px) {

    .bg-dark h2,
    .bg-dark .h2 {
        font-size: 3rem;
    }
}

@media (max-width: 1600px) {
    .w-85#hr-first {
        width: 95% !important;
    }
}

@media (max-width: 960px) {
    .bg-dark .head-h3 {
        font-size: 1.8rem !important;
    }

    .img-fluid#logo_ele-mapp {
        width: 60%;
    }
}

@media (max-width: 767px) {

    #products-weap_02 .c-column-block,
    #products-weap_10 .c-column-block {
        gap: 0;
    }

    .bg-dark .head-h3 {
        margin-bottom: 0.6em !important;
        text-align: center;
    }

    img.img-mav {
        max-width: 300px;
        width: 100%;
        display: block;
        margin: 0 0 0 auto;
    }

    .img-fluid#logo_ele-mapp {
        width: 100%;
    }

    .c-products-parts-box#products-weap_02 {
        margin-top: -20px;
    }

.bg-dark .m-col2>.c-column-block-item {
    padding-bottom: 10px;
}

#lineup-wrap {
    padding-bottom: 50px;
}

}